Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.wtc.jatmi
Class mkfldclass32

    java.lang.Object
      |
      +--weblogic.wtc.jatmi.mkfldclass32

public final class mkfldclass32
extends java.lang.Object

This class is a utility function that reads a FML32 Field Table and produces a java file which implements the FldTbl interface. This java file should be compiled into a class which can then be used to add, retrieve and delete fielded entries from an FML32 field. This utility is analogous to the mkfldhdr(1) utility in the Tuxedo reference manual. The command prototype is

`mkfldclass32 [package-name] fml-field-table`

Author:
  BEA Systems, Inc.
See Also:
  `FldTbl`, `FML`

Constructor Summary
`mkfldclass32()`

Method Summary
`static void` | `generateDynamicCode(java.lang.String path, java.lang.String fpackage, java.lang.String outdirectory, java.io.File classfilename)` Generate a java file that will load the field table during the boot time.
`static void` | `main(java.lang.String[] args)` The starting point of this utility.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### mkfldclass32

    public mkfldclass32()

Method Detail

### generateDynamicCode

    public static void generateDynamicCode(java.lang.String path,
                                           java.lang.String fpackage,
                                           java.lang.String outdirectory,
                                           java.io.File classfilename)

  Generate a java file that will load the field table during the boot time.

  Parameters:
    `path` - The full path of the field table during the boot time.
    `classfilename` - The class name and file name for the generated java file.

### main

    public static void main(java.lang.String[] args)

  The starting point of this utility. The utility has the following prototype:

  `mkfldclass32 [package-name] fml-field-table`

  where package-name is the name of the package in which this class should reside and fml-field-tbl is the field table to be processed.

  Parameters:
    `args` - At this time the only argument this utility takes is the name of the field table to process

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference